Apache2.4.7 make 报错[exports.lo] Error 1 解决方法

Author Avatar
doubledna 2016 年 12 月 29 日

编写 LAMP 一键安装脚本,使用 Apache2.4.7 版本,./configure 没有报错,执行 make 时报错,如下:

make[2]: * [exports.lo] Error 1

make[2]: Leaving directory `/usr/local/src/httpd-2.4.7/server'

make[1]: * [all-recursive] Error 1

make[1]: Leaving directory `/usr/local/src/httpd-2.4.7/server'

make: * [all-recursive] Error 1

环境说明:

使用 apr 版本为 1.5.2 ,apr-util 版本为 1.5.4;已经单独编译安装成功;

编译参数为:

./configure --prefix=/usr/local/apache2 --with-apr=/usr/local/apr --with-apr-util=/usr/local/apr-util/ --with-pcre --enable-mods-shared=most --enable-so

 
解决办法:

在 configure 后加上 “--with-included-apr”。再重新编译, make, make install. 即可。

 
问题又来了,加上 --with-included-apr 之后,编译,报错如下:

configure: error: Bundled APR requested but not found at ./srclib/. Download and unpack the corresponding apr and apr-util packages to ./srclib/.

错误为:apr,apr-util 缺失,需要下载并解压到./srclib/ 目录下

 
解决办法:

cd /usr/local/src/

cp -r apr-1.5.2 /usr/local/src/httpd-2.4.7/srclib/apr

cp -r apr-util-1.5.4 /usr/local/src/httpd-2.4.7/srclib/apr-util

 
再次执行./configure 就不会报错,make,make install 也不会报错;

 

原文地址:http://www.linuxidc.com/Linux/2015-11/125321.htm